Package org.pushingpixels.flamingo.api.common

# Enum Class CommandButtonLayoutManager.CommandButtonSeparatorOrientation

java.lang.Object
java.lang.Enum<CommandButtonLayoutManager.CommandButtonSeparatorOrientation>
org.pushingpixels.flamingo.api.common.CommandButtonLayoutManager.CommandButtonSeparatorOrientation

All Implemented Interfaces:
  `Serializable`, `Comparable<CommandButtonLayoutManager.CommandButtonSeparatorOrientation>`, `Constable`

Enclosing interface:
  `CommandButtonLayoutManager`

public static enum CommandButtonLayoutManager.CommandButtonSeparatorOrientation extends Enum<CommandButtonLayoutManager.CommandButtonSeparatorOrientation>
Enumerates the available values for separator orientations.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HORIZONTAL`
Horizontal separator orientation.
`VERTICAL`
Vertical separator orientation.

## Method Summary

Modifier and Type
Method
Description
`static CommandButtonLayoutManager.CommandButtonSeparatorOrientation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CommandButtonLayoutManager.CommandButtonSeparatorOrientation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VERTICAL

public static final CommandButtonLayoutManager.CommandButtonSeparatorOrientation VERTICAL
Vertical separator orientation.

### HORIZONTAL

public static final CommandButtonLayoutManager.CommandButtonSeparatorOrientation HORIZONTAL
Horizontal separator orientation.

## Method Details

### values

public static CommandButtonLayoutManager.CommandButtonSeparatorOrientation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CommandButtonLayoutManager.CommandButtonSeparatorOrientation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null